#include "led.h"
#include "main.h"
#include "cmsis_os.h"

void LED_red(void)
{
  //GPIO_PIN_12
   //HAL_GPIO_TogglePin(ledBlue_GPIO_Port, ledBlue_Pin);
    HAL_GPIO_WritePin(ledBlue_GPIO_Port, ledBlue_Pin, GPIO_PIN_SET);
    osDelay(1000);
    HAL_GPIO_WritePin(ledBlue_GPIO_Port, ledBlue_Pin, GPIO_PIN_RESET);
  
}

void LED_green(void)
{   //GPIO_PIN_10
    HAL_GPIO_WritePin(ledRed_GPIO_Port, ledRed_Pin, GPIO_PIN_SET);
    osDelay(500);
    HAL_GPIO_WritePin(ledRed_GPIO_Port, ledRed_Pin, GPIO_PIN_RESET);
}

void LED_bule(void ) 
{
  //GPIO_PIN_11
  HAL_GPIO_WritePin(ledGreen_GPIO_Port, ledGreen_Pin, GPIO_PIN_SET);
  osDelay(500);
  HAL_GPIO_WritePin(ledGreen_GPIO_Port, ledGreen_Pin, GPIO_PIN_RESET);

}
